org.apache.struts2

## Class StrutsConstants

- java.lang.Object
- - org.apache.struts2.StrutsConstants

-     public final class StrutsConstants
      extends Object

  This class provides a central location for framework configuration keys used to retrieve and store Struts configuration settings.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_TEMPLATE_TYPE_CONFIG_KEY`
    `static String` | `PREFIX_BASED_MAPPER_CONFIGURATION` A prefix based action mapper that is capable of delegating to other `ActionMapper`s based on the request's prefix You can specify different prefixes that will be handled by different mappers
    `static String` | `STRUTS_ACCEPTED_PATTERNS_CHECKER`
    `static String` | `STRUTS_ACTION_EXCLUDE_PATTERN` Comma separated list of patterns (java.util.regex.Pattern) to be excluded from Struts2-processing
    `static String` | `STRUTS_ACTION_EXTENSION` The URL extension to use to determine if the request is meant for a Struts action
    `static String` | `STRUTS_ACTIONPROXYFACTORY`
    `static String` | `STRUTS_ACTIONVALIDATORMANAGER` The com.opensymphony.xwork2.validator.ActionValidatorManager implementation class
    `static String` | `STRUTS_ADDITIONAL_ACCEPTED_PATTERNS`
    `static String` | `STRUTS_ADDITIONAL_EXCLUDED_PATTERNS`
    `static String` | `STRUTS_ALLOW_STATIC_METHOD_ACCESS` The name of the parameter to determine whether static method access will be allowed in OGNL expressions or not
    `static String` | `STRUTS_ALLOWED_ACTION_NAMES` Action names' whitelist
    `static String` | `STRUTS_ALLOWED_METHOD_NAMES` Method names' whitelist
    `static String` | `STRUTS_ALLOWED_NAMESPACE_NAMES` Namespace names' whitelist
    `static String` | `STRUTS_ALWAYS_SELECT_FULL_NAMESPACE`
    `static String` | `STRUTS_CONFIGURATION` The org.apache.struts2.config.Configuration implementation class
    `static String` | `STRUTS_CONFIGURATION_XML_RELOAD` Whether to reload the XML configuration or not
    `static String` | `STRUTS_CONTENT_TYPE_MATCHER`
    `static String` | `STRUTS_CONTINUATIONS_PACKAGE` The package containing actions that use Rife continuations
    `static String` | `STRUTS_CONVERTER_ANNOTATION_PROCESSOR`
    `static String` | `STRUTS_CONVERTER_ARRAY`
    `static String` | `STRUTS_CONVERTER_COLLECTION` `XWorkBasicConverter`
    `static String` | `STRUTS_CONVERTER_CREATOR`
    `static String` | `STRUTS_CONVERTER_DATE`
    `static String` | `STRUTS_CONVERTER_FILE_PROCESSOR`
    `static String` | `STRUTS_CONVERTER_HOLDER`
    `static String` | `STRUTS_CONVERTER_NUMBER`
    `static String` | `STRUTS_CONVERTER_PROPERTIES_PROCESSOR`
    `static String` | `STRUTS_CONVERTER_STRING`
    `static String` | `STRUTS_CUSTOM_I18N_RESOURCES` Location of additional localization properties files to load
    `static String` | `STRUTS_CUSTOM_PROPERTIES` Location of additional configuration properties files to load
    `static String` | `STRUTS_DEFAULT_ACTION_NAME` Default action name to use when action didn't match the whitelist
    `static String` | `STRUTS_DEFAULT_METHOD_NAME` Default method name to use when method didn't match the whitelist
    `static String` | `STRUTS_DEFAULT_NAMESPACE_NAME` Default namespace name to use when namespace didn't match the whitelist
    `static String` | `STRUTS_DEVMODE` Whether Struts is in development mode or not
    `static String` | `STRUTS_DISABLE_REQUEST_ATTRIBUTE_VALUE_STACK_LOOKUP` Disables `StrutsRequestWrapper` request attribute value stack lookup (JSTL accessibility)
    `static String` | `STRUTS_DISALLOW_PROXY_MEMBER_ACCESS`
    `static String` | `STRUTS_DISPATCHER_ERROR_HANDLER` Allows override default DispatcherErrorHandler
    `static String` | `STRUTS_DISPATCHER_PARAMETERSWORKAROUND` Whether to use a Servlet request parameter workaround necessary for some versions of WebLogic
    `static String` | `STRUTS_EL_THROW_EXCEPTION` Throw RuntimeException when a property is not found, or the evaluation of the expression fails
    `static String` | `STRUTS_ENABLE_DYNAMIC_METHOD_INVOCATION` Allows one to disable dynamic method invocation from the URL
    `static String` | `STRUTS_ENABLE_OGNL_EVAL_EXPRESSION` Enables evaluation of OGNL expressions
    `static String` | `STRUTS_ENABLE_OGNL_EXPRESSION_CACHE` Enables caching of parsed OGNL expressions
    `static String` | `STRUTS_ENABLE_SLASHES_IN_ACTION_NAMES` Whether slashes in action names are allowed or not
    `static String` | `STRUTS_EXCLUDED_CLASSES` Comma delimited set of excluded classes and package names which cannot be accessed via expressions
    `static String` | `STRUTS_EXCLUDED_PACKAGE_NAME_PATTERNS`
    `static String` | `STRUTS_EXCLUDED_PACKAGE_NAMES`
    `static String` | `STRUTS_EXCLUDED_PATTERNS_CHECKER` Dedicated services to check if passed string is excluded/accepted
    `static String` | `STRUTS_EXPRESSION_PARSER`
    `static String` | `STRUTS_FILE_MANAGER` The com.opensymphony.xwork2.util.fs.FileManager implementation class
    `static String` | `STRUTS_FILE_MANAGER_FACTORY` The com.opensymphony.xwork2.util.FileManager implementation class
    `static String` | `STRUTS_FREEMARKER_BEANWRAPPER_CACHE` Cache model instances at BeanWrapper level
    `static String` | `STRUTS_FREEMARKER_MANAGER_CLASSNAME` The org.apache.struts2.views.freemarker.FreemarkerManager implementation class
    `static String` | `STRUTS_FREEMARKER_MRU_MAX_STRONG_SIZE` Maximum strong sizing for MruCacheStorage for freemarker
    `static String` | `STRUTS_FREEMARKER_TEMPLATES_CACHE_UPDATE_DELAY` Update freemarker templates cache in seconds
    `static String` | `STRUTS_FREEMARKER_WRAPPER_ALT_MAP`
    `static String` | `STRUTS_HANDLE_EXCEPTION` Enable handling exceptions by Dispatcher - true by default
    `static String` | `STRUTS_I18N_ENCODING` The encoding to use for localization messages
    `static String` | `STRUTS_I18N_RELOAD` Whether the localization messages should automatically be reloaded
    `static String` | `STRUTS_ID_PARAMETER_NAME` The name of the parameter to create when mapping an id (used by some action mappers)
    `static String` | `STRUTS_LOCALE` The default locale for the Struts application
    `static String` | `STRUTS_LOCALE_PROVIDER` Deprecated. use `STRUTS_LOCALE_PROVIDER_FACTORY` instead
    `static String` | `STRUTS_LOCALE_PROVIDER_FACTORY` The `LocaleProviderFactory` implementation class
    `static String` | `STRUTS_LOCALIZED_TEXT_PROVIDER`
    `static String` | `STRUTS_LOG_MISSING_PROPERTIES` Logs properties that are not found (very verbose)
    `static String` | `STRUTS_MAPPER_ACTION_PREFIX_CROSSNAMESPACES` Enables access to actions in other namespaces than current with action: prefix
    `static String` | `STRUTS_MAPPER_ACTION_PREFIX_ENABLED` Enables action: prefix
    `static String` | `STRUTS_MAPPER_CLASS` The org.apache.struts2.dispatcher.mapper.ActionMapper implementation class
    `static String` | `STRUTS_MAPPER_COMPOSITE` Prefix used by `CompositeActionMapper` to identify its containing `ActionMapper` class.
    `static String` | `STRUTS_MATCHER_APPEND_NAMED_PARAMETERS` See {@link com.opensymphony.xwork2.config.impl.AbstractMatcher#appendNamedParameters
    `static String` | `STRUTS_MULTIPART_BUFFERSIZE` Declares the buffer size to be used during streaming multipart content to disk.
    `static String` | `STRUTS_MULTIPART_ENABLED` A global switch to disable support for multipart requests
    `static String` | `STRUTS_MULTIPART_MAX_STRING_LENGTH` The maximum length of a string parameter in a multipart request.
    `static String` | `STRUTS_MULTIPART_MAXSIZE` The maximize size of a multipart request (file upload)
    `static String` | `STRUTS_MULTIPART_PARSER` The org.apache.struts2.dispatcher.multipart.MultiPartRequest parser implementation for a multipart request (file upload)
    `static String` | `STRUTS_MULTIPART_SAVEDIR` The directory to use for storing uploaded files
    `static String` | `STRUTS_MULTIPART_VALIDATION_REGEX`
    `static String` | `STRUTS_NOT_EXCLUDED_ACCEPTED_PATTERNS_CHECKER`
    `static String` | `STRUTS_OBJECTFACTORY` The com.opensymphony.xwork2.ObjectFactory implementation class
    `static String` | `STRUTS_OBJECTFACTORY_ACTIONFACTORY`
    `static String` | `STRUTS_OBJECTFACTORY_CONVERTERFACTORY`
    `static String` | `STRUTS_OBJECTFACTORY_INTERCEPTORFACTORY`
    `static String` | `STRUTS_OBJECTFACTORY_RESULTFACTORY`
    `static String` | `STRUTS_OBJECTFACTORY_SPRING_AUTOWIRE` How Spring should autowire.
    `static String` | `STRUTS_OBJECTFACTORY_SPRING_AUTOWIRE_ALWAYS_RESPECT` Whether the autowire strategy chosen by STRUTS_OBJECTFACTORY_SPRING_AUTOWIRE is always respected.
    `static String` | `STRUTS_OBJECTFACTORY_SPRING_ENABLE_AOP_SUPPORT` Deprecated.
    `static String` | `STRUTS_OBJECTFACTORY_SPRING_USE_CLASS_CACHE` Whether Spring should use its class cache or not
    `static String` | `STRUTS_OBJECTFACTORY_UNKNOWNHANDLERFACTORY`
    `static String` | `STRUTS_OBJECTFACTORY_VALIDATORFACTORY`
    `static String` | `STRUTS_OBJECTTYPEDETERMINER` The com.opensymphony.xwork2.util.ObjectTypeDeterminer implementation class
    `static String` | `STRUTS_OGNL_AUTO_GROWTH_COLLECTION_LIMIT`
    `static String` | `STRUTS_OGNL_EXPRESSION_MAX_LENGTH` The maximum length of an expression (OGNL)
    `static String` | `STRUTS_OVERRIDE_ACCEPTED_PATTERNS`
    `static String` | `STRUTS_OVERRIDE_EXCLUDED_PATTERNS` Constant is used to override framework's default excluded patterns
    `static String` | `STRUTS_PATTERNMATCHER` The `PatternMatcher` implementation class
    `static String` | `STRUTS_REFLECTIONCONTEXTFACTORY` The `ReflectionContextFactory` implementation class
    `static String` | `STRUTS_REFLECTIONPROVIDER` The `ReflectionProvider` implementation class
    `static String` | `STRUTS_SERVE_STATIC_BROWSER_CACHE` If static content served by the Struts filter should set browser caching header properties or not
    `static String` | `STRUTS_SERVE_STATIC_CONTENT` Whether the Struts filter should serve static content or not
    `static String` | `STRUTS_SMI_METHOD_REGEX`
    `static String` | `STRUTS_STATIC_CONTENT_LOADER` The `StaticContentLoader` implementation class
    `static String` | `STRUTS_TAG_ALTSYNTAX` Whether to use the alternative syntax for the tags or not
    `static String` | `STRUTS_TAG_INCLUDETAG_USERESPONSEENCODING` Whether to use the response encoding (JSP page encoding) for s:include tag processing (false - use STRUTS_I18N_ENCODING - by default)
    `static String` | `STRUTS_TEXT_PROVIDER`
    `static String` | `STRUTS_TEXT_PROVIDER_FACTORY`
    `static String` | `STRUTS_UI_TEMPLATEDIR` The directory containing UI templates.
    `static String` | `STRUTS_UI_THEME` The default UI template theme
    `static String` | `STRUTS_UI_THEME_EXPANSION_TOKEN` Token to use to indicate start of theme to be expanded.
    `static String` | `STRUTS_UNKNOWN_HANDLER_MANAGER` The `UnknownHandlerManager` implementation class
    `static String` | `STRUTS_URL_HELPER` The`UrlHelper` implementation class
    `static String` | `STRUTS_URL_HTTP_PORT` The HTTP port used by Struts URLs
    `static String` | `STRUTS_URL_HTTPS_PORT` The HTTPS port used by Struts URLs
    `static String` | `STRUTS_URL_INCLUDEPARAMS` The default includeParams method to generate Struts URLs
    `static String` | `STRUTS_URL_RENDERER`
    `static String` | `STRUTS_VALUESTACKFACTORY` The `ValueStackFactory` implementation class
    `static String` | `STRUTS_VELOCITY_CONFIGFILE` The Velocity configuration file path
    `static String` | `STRUTS_VELOCITY_CONTEXTS` List of Velocity context names
    `static String` | `STRUTS_VELOCITY_MANAGER_CLASSNAME` org.apache.struts2.views.velocity.VelocityManager implementation class
    `static String` | `STRUTS_VELOCITY_TOOLBOXLOCATION` The location of the Velocity toolbox
    `static String` | `STRUTS_XSLT_NOCACHE` Whether or not XSLT templates should not be cached
    `static String` | `STRUTS_XWORKCONVERTER` The name of the xwork converter implementation
    `static String` | `STRUTS_XWORKTEXTPROVIDER` Deprecated. use `STRUTS_TEXT_PROVIDER` instead

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrutsConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STRUTS_DEVMODE

          public static final String STRUTS_DEVMODE

      Whether Struts is in development mode or not
      See Also:
        Constant Field Values

    - #### STRUTS_I18N_RELOAD

          public static final String STRUTS_I18N_RELOAD

      Whether the localization messages should automatically be reloaded
      See Also:
        Constant Field Values

    - #### STRUTS_I18N_ENCODING

          public static final String STRUTS_I18N_ENCODING

      The encoding to use for localization messages
      See Also:
        Constant Field Values

    - #### STRUTS_CONFIGURATION_XML_RELOAD

          public static final String STRUTS_CONFIGURATION_XML_RELOAD

      Whether to reload the XML configuration or not
      See Also:
        Constant Field Values

    - #### STRUTS_ACTION_EXTENSION

          public static final String STRUTS_ACTION_EXTENSION

      The URL extension to use to determine if the request is meant for a Struts action
      See Also:
        Constant Field Values

    - #### STRUTS_ACTION_EXCLUDE_PATTERN

          public static final String STRUTS_ACTION_EXCLUDE_PATTERN

      Comma separated list of patterns (java.util.regex.Pattern) to be excluded from Struts2-processing
      See Also:
        Constant Field Values

    - #### STRUTS_TAG_ALTSYNTAX

          public static final String STRUTS_TAG_ALTSYNTAX

      Whether to use the alternative syntax for the tags or not
      See Also:
        Constant Field Values

    - #### STRUTS_TAG_INCLUDETAG_USERESPONSEENCODING

          public static final String STRUTS_TAG_INCLUDETAG_USERESPONSEENCODING

      Whether to use the response encoding (JSP page encoding) for s:include tag processing (false - use STRUTS_I18N_ENCODING - by default)
      See Also:
        Constant Field Values

    - #### STRUTS_URL_HTTP_PORT

          public static final String STRUTS_URL_HTTP_PORT

      The HTTP port used by Struts URLs
      See Also:
        Constant Field Values

    - #### STRUTS_URL_HTTPS_PORT

          public static final String STRUTS_URL_HTTPS_PORT

      The HTTPS port used by Struts URLs
      See Also:
        Constant Field Values

    - #### STRUTS_URL_INCLUDEPARAMS

          public static final String STRUTS_URL_INCLUDEPARAMS

      The default includeParams method to generate Struts URLs
      See Also:
        Constant Field Values

    - #### STRUTS_URL_RENDERER

          public static final String STRUTS_URL_RENDERER

      See Also:
        Constant Field Values

    - #### STRUTS_OBJECTFACTORY

          public static final String STRUTS_OBJECTFACTORY

      The com.opensymphony.xwork2.ObjectFactory implementation class
      See Also:
        Constant Field Values

    - #### STRUTS_OBJECTFACTORY_ACTIONFACTORY

          public static final String STRUTS_OBJECTFACTORY_ACTIONFACTORY

      See Also:
        Constant Field Values

    - #### STRUTS_OBJECTFACTORY_RESULTFACTORY

          public static final String STRUTS_OBJECTFACTORY_RESULTFACTORY

      See Also:
        Constant Field Values

    - #### STRUTS_OBJECTFACTORY_CONVERTERFACTORY

          public static final String STRUTS_OBJECTFACTORY_CONVERTERFACTORY

      See Also:
        Constant Field Values

    - #### STRUTS_OBJECTFACTORY_INTERCEPTORFACTORY

          public static final String STRUTS_OBJECTFACTORY_INTERCEPTORFACTORY

      See Also:
        Constant Field Values

    - #### STRUTS_OBJECTFACTORY_VALIDATORFACTORY

          public static final String STRUTS_OBJECTFACTORY_VALIDATORFACTORY

      See Also:
        Constant Field Values

    - #### STRUTS_OBJECTFACTORY_UNKNOWNHANDLERFACTORY

          public static final String STRUTS_OBJECTFACTORY_UNKNOWNHANDLERFACTORY

      See Also:
        Constant Field Values

    - #### STRUTS_FILE_MANAGER_FACTORY

          public static final String STRUTS_FILE_MANAGER_FACTORY

      The com.opensymphony.xwork2.util.FileManager implementation class
      See Also:
        Constant Field Values

    - #### STRUTS_FILE_MANAGER

          public static final String STRUTS_FILE_MANAGER

      The com.opensymphony.xwork2.util.fs.FileManager implementation class
      See Also:
        Constant Field Values

    - #### STRUTS_OBJECTTYPEDETERMINER

          public static final String STRUTS_OBJECTTYPEDETERMINER

      The com.opensymphony.xwork2.util.ObjectTypeDeterminer implementation class
      See Also:
        Constant Field Values

    - #### STRUTS_CONTINUATIONS_PACKAGE

          public static final String STRUTS_CONTINUATIONS_PACKAGE

      The package containing actions that use Rife continuations
      See Also:
        Constant Field Values

    - #### STRUTS_CONFIGURATION

          public static final String STRUTS_CONFIGURATION

      The org.apache.struts2.config.Configuration implementation class
      See Also:
        Constant Field Values

    - #### STRUTS_LOCALE

          public static final String STRUTS_LOCALE

      The default locale for the Struts application
      See Also:
        Constant Field Values

    - #### STRUTS_DISPATCHER_PARAMETERSWORKAROUND

          public static final String STRUTS_DISPATCHER_PARAMETERSWORKAROUND

      Whether to use a Servlet request parameter workaround necessary for some versions of WebLogic
      See Also:
        Constant Field Values

    - #### STRUTS_FREEMARKER_MANAGER_CLASSNAME

          public static final String STRUTS_FREEMARKER_MANAGER_CLASSNAME

      The org.apache.struts2.views.freemarker.FreemarkerManager implementation class
      See Also:
        Constant Field Values

    - #### STRUTS_FREEMARKER_TEMPLATES_CACHE_UPDATE_DELAY

          public static final String STRUTS_FREEMARKER_TEMPLATES_CACHE_UPDATE_DELAY

      Update freemarker templates cache in seconds
      See Also:
        Constant Field Values

    - #### STRUTS_FREEMARKER_BEANWRAPPER_CACHE

          public static final String STRUTS_FREEMARKER_BEANWRAPPER_CACHE

      Cache model instances at BeanWrapper level
      See Also:
        Constant Field Values

    - #### STRUTS_FREEMARKER_MRU_MAX_STRONG_SIZE

          public static final String STRUTS_FREEMARKER_MRU_MAX_STRONG_SIZE

      Maximum strong sizing for MruCacheStorage for freemarker
      See Also:
        Constant Field Values

    - #### STRUTS_VELOCITY_MANAGER_CLASSNAME

          public static final String STRUTS_VELOCITY_MANAGER_CLASSNAME

      org.apache.struts2.views.velocity.VelocityManager implementation class
      See Also:
        Constant Field Values

    - #### STRUTS_VELOCITY_CONFIGFILE

          public static final String STRUTS_VELOCITY_CONFIGFILE

      The Velocity configuration file path
      See Also:
        Constant Field Values

    - #### STRUTS_VELOCITY_TOOLBOXLOCATION

          public static final String STRUTS_VELOCITY_TOOLBOXLOCATION

      The location of the Velocity toolbox
      See Also:
        Constant Field Values

    - #### STRUTS_VELOCITY_CONTEXTS

          public static final String STRUTS_VELOCITY_CONTEXTS

      List of Velocity context names
      See Also:
        Constant Field Values

    - #### STRUTS_UI_TEMPLATEDIR

          public static final String STRUTS_UI_TEMPLATEDIR

      The directory containing UI templates. All templates must reside in this directory.
      See Also:
        Constant Field Values

    - #### STRUTS_UI_THEME

          public static final String STRUTS_UI_THEME

      The default UI template theme
      See Also:
        Constant Field Values

    - #### STRUTS_UI_THEME_EXPANSION_TOKEN

          public static final String STRUTS_UI_THEME_EXPANSION_TOKEN

      Token to use to indicate start of theme to be expanded.
      See Also:
        Constant Field Values

    - #### STRUTS_MULTIPART_MAXSIZE

          public static final String STRUTS_MULTIPART_MAXSIZE

      The maximize size of a multipart request (file upload)
      See Also:
        Constant Field Values

    - #### STRUTS_MULTIPART_MAX_STRING_LENGTH

          public static final String STRUTS_MULTIPART_MAX_STRING_LENGTH

      The maximum length of a string parameter in a multipart request.
      See Also:
        Constant Field Values

    - #### STRUTS_MULTIPART_SAVEDIR

          public static final String STRUTS_MULTIPART_SAVEDIR

      The directory to use for storing uploaded files
      See Also:
        Constant Field Values

    - #### STRUTS_MULTIPART_BUFFERSIZE

          public static final String STRUTS_MULTIPART_BUFFERSIZE

      Declares the buffer size to be used during streaming multipart content to disk. Used only with `JakartaStreamMultiPartRequest`
      See Also:
        Constant Field Values

    - #### STRUTS_MULTIPART_PARSER

          public static final String STRUTS_MULTIPART_PARSER

      The org.apache.struts2.dispatcher.multipart.MultiPartRequest parser implementation for a multipart request (file upload)
      See Also:
        Constant Field Values

    - #### STRUTS_MULTIPART_ENABLED

          public static final String STRUTS_MULTIPART_ENABLED

      A global switch to disable support for multipart requests
      See Also:
        Constant Field Values

    - #### STRUTS_MULTIPART_VALIDATION_REGEX

          public static final String STRUTS_MULTIPART_VALIDATION_REGEX

      See Also:
        Constant Field Values

    - #### STRUTS_OBJECTFACTORY_SPRING_AUTOWIRE

          public static final String STRUTS_OBJECTFACTORY_SPRING_AUTOWIRE

      How Spring should autowire. Valid values are 'name', 'type', 'auto', and 'constructor'
      See Also:
        Constant Field Values

    - #### STRUTS_OBJECTFACTORY_SPRING_AUTOWIRE_ALWAYS_RESPECT

          public static final String STRUTS_OBJECTFACTORY_SPRING_AUTOWIRE_ALWAYS_RESPECT

      Whether the autowire strategy chosen by STRUTS_OBJECTFACTORY_SPRING_AUTOWIRE is always respected. Defaults to false, which is the legacy behavior that tries to determine the best strategy for the situation.
      Since:
        2.1.3
      See Also:
        Constant Field Values

    - #### STRUTS_OBJECTFACTORY_SPRING_USE_CLASS_CACHE

          public static final String STRUTS_OBJECTFACTORY_SPRING_USE_CLASS_CACHE

      Whether Spring should use its class cache or not
      See Also:
        Constant Field Values

    - #### STRUTS_OBJECTFACTORY_SPRING_ENABLE_AOP_SUPPORT

          @Deprecated
          public static final String STRUTS_OBJECTFACTORY_SPRING_ENABLE_AOP_SUPPORT

      Deprecated.
      Uses different logic to construct beans, see https://issues.apache.org/jira/browse/WW-4110
      See Also:
        Constant Field Values

    - #### STRUTS_XSLT_NOCACHE

          public static final String STRUTS_XSLT_NOCACHE

      Whether or not XSLT templates should not be cached
      See Also:
        Constant Field Values

    - #### STRUTS_CUSTOM_PROPERTIES

          public static final String STRUTS_CUSTOM_PROPERTIES

      Location of additional configuration properties files to load
      See Also:
        Constant Field Values

    - #### STRUTS_CUSTOM_I18N_RESOURCES

          public static final String STRUTS_CUSTOM_I18N_RESOURCES

      Location of additional localization properties files to load
      See Also:
        Constant Field Values

    - #### STRUTS_MAPPER_CLASS

          public static final String STRUTS_MAPPER_CLASS

      The org.apache.struts2.dispatcher.mapper.ActionMapper implementation class
      See Also:
        Constant Field Values

    - #### PREFIX_BASED_MAPPER_CONFIGURATION

          public static final String PREFIX_BASED_MAPPER_CONFIGURATION

      A prefix based action mapper that is capable of delegating to other `ActionMapper`s based on the request's prefix You can specify different prefixes that will be handled by different mappers
      See Also:
        Constant Field Values

    - #### STRUTS_SERVE_STATIC_CONTENT

          public static final String STRUTS_SERVE_STATIC_CONTENT

      Whether the Struts filter should serve static content or not
      See Also:
        Constant Field Values

    - #### STRUTS_SERVE_STATIC_BROWSER_CACHE

          public static final String STRUTS_SERVE_STATIC_BROWSER_CACHE

      If static content served by the Struts filter should set browser caching header properties or not
      See Also:
        Constant Field Values

    - #### STRUTS_ENABLE_DYNAMIC_METHOD_INVOCATION

          public static final String STRUTS_ENABLE_DYNAMIC_METHOD_INVOCATION

      Allows one to disable dynamic method invocation from the URL
      See Also:
        Constant Field Values

    - #### STRUTS_ENABLE_SLASHES_IN_ACTION_NAMES

          public static final String STRUTS_ENABLE_SLASHES_IN_ACTION_NAMES

      Whether slashes in action names are allowed or not
      See Also:
        Constant Field Values

    - #### STRUTS_MAPPER_COMPOSITE

          public static final String STRUTS_MAPPER_COMPOSITE

      Prefix used by `CompositeActionMapper` to identify its containing `ActionMapper` class.
      See Also:
        Constant Field Values

    - #### STRUTS_ACTIONPROXYFACTORY

          public static final String STRUTS_ACTIONPROXYFACTORY

      See Also:
        Constant Field Values

    - #### STRUTS_FREEMARKER_WRAPPER_ALT_MAP

          public static final String STRUTS_FREEMARKER_WRAPPER_ALT_MAP

      See Also:
        Constant Field Values

    - #### STRUTS_XWORKCONVERTER

          public static final String STRUTS_XWORKCONVERTER

      The name of the xwork converter implementation
      See Also:
        Constant Field Values

    - #### STRUTS_ALWAYS_SELECT_FULL_NAMESPACE

          public static final String STRUTS_ALWAYS_SELECT_FULL_NAMESPACE

      See Also:
        Constant Field Values

    - #### STRUTS_XWORKTEXTPROVIDER

          @Deprecated
          public static final String STRUTS_XWORKTEXTPROVIDER

      Deprecated. use `STRUTS_TEXT_PROVIDER` instead
      XWork default text provider
      See Also:
        Constant Field Values

    - #### STRUTS_LOCALE_PROVIDER

          @Deprecated
          public static final String STRUTS_LOCALE_PROVIDER

      Deprecated. use `STRUTS_LOCALE_PROVIDER_FACTORY` instead
      The `LocaleProvider` implementation class
      See Also:
        Constant Field Values

    - #### STRUTS_LOCALE_PROVIDER_FACTORY

          public static final String STRUTS_LOCALE_PROVIDER_FACTORY

      The `LocaleProviderFactory` implementation class
      See Also:
        Constant Field Values

    - #### STRUTS_ID_PARAMETER_NAME

          public static final String STRUTS_ID_PARAMETER_NAME

      The name of the parameter to create when mapping an id (used by some action mappers)
      See Also:
        Constant Field Values

    - #### STRUTS_ALLOW_STATIC_METHOD_ACCESS

          public static final String STRUTS_ALLOW_STATIC_METHOD_ACCESS

      The name of the parameter to determine whether static method access will be allowed in OGNL expressions or not
      See Also:
        Constant Field Values

    - #### STRUTS_ACTIONVALIDATORMANAGER

          public static final String STRUTS_ACTIONVALIDATORMANAGER

      The com.opensymphony.xwork2.validator.ActionValidatorManager implementation class
      See Also:
        Constant Field Values

    - #### STRUTS_VALUESTACKFACTORY

          public static final String STRUTS_VALUESTACKFACTORY

      The `ValueStackFactory` implementation class
      See Also:
        Constant Field Values

    - #### STRUTS_REFLECTIONPROVIDER

          public static final String STRUTS_REFLECTIONPROVIDER

      The `ReflectionProvider` implementation class
      See Also:
        Constant Field Values

    - #### STRUTS_REFLECTIONCONTEXTFACTORY

          public static final String STRUTS_REFLECTIONCONTEXTFACTORY

      The `ReflectionContextFactory` implementation class
      See Also:
        Constant Field Values

    - #### STRUTS_PATTERNMATCHER

          public static final String STRUTS_PATTERNMATCHER

      The `PatternMatcher` implementation class
      See Also:
        Constant Field Values

    - #### STRUTS_STATIC_CONTENT_LOADER

          public static final String STRUTS_STATIC_CONTENT_LOADER

      The `StaticContentLoader` implementation class
      See Also:
        Constant Field Values

    - #### STRUTS_UNKNOWN_HANDLER_MANAGER

          public static final String STRUTS_UNKNOWN_HANDLER_MANAGER

      The `UnknownHandlerManager` implementation class
      See Also:
        Constant Field Values

    - #### STRUTS_EL_THROW_EXCEPTION

          public static final String STRUTS_EL_THROW_EXCEPTION

      Throw RuntimeException when a property is not found, or the evaluation of the expression fails
      See Also:
        Constant Field Values

    - #### STRUTS_LOG_MISSING_PROPERTIES

          public static final String STRUTS_LOG_MISSING_PROPERTIES

      Logs properties that are not found (very verbose)
      See Also:
        Constant Field Values

    - #### STRUTS_ENABLE_OGNL_EXPRESSION_CACHE

          public static final String STRUTS_ENABLE_OGNL_EXPRESSION_CACHE

      Enables caching of parsed OGNL expressions
      See Also:
        Constant Field Values

    - #### STRUTS_ENABLE_OGNL_EVAL_EXPRESSION

          public static final String STRUTS_ENABLE_OGNL_EVAL_EXPRESSION

      Enables evaluation of OGNL expressions
      See Also:
        Constant Field Values

    - #### STRUTS_OGNL_EXPRESSION_MAX_LENGTH

          public static final String STRUTS_OGNL_EXPRESSION_MAX_LENGTH

      The maximum length of an expression (OGNL)
      See Also:
        Constant Field Values

    - #### STRUTS_DISABLE_REQUEST_ATTRIBUTE_VALUE_STACK_LOOKUP

          public static final String STRUTS_DISABLE_REQUEST_ATTRIBUTE_VALUE_STACK_LOOKUP

      Disables `StrutsRequestWrapper` request attribute value stack lookup (JSTL accessibility)
      See Also:
        Constant Field Values

    - #### STRUTS_URL_HELPER

          public static final String STRUTS_URL_HELPER

      The`UrlHelper` implementation class
      See Also:
        Constant Field Values

    - #### STRUTS_CONVERTER_COLLECTION

          public static final String STRUTS_CONVERTER_COLLECTION

      `XWorkBasicConverter`
      See Also:
        Constant Field Values

    - #### STRUTS_CONVERTER_ARRAY

          public static final String STRUTS_CONVERTER_ARRAY

      See Also:
        Constant Field Values

    - #### STRUTS_CONVERTER_DATE

          public static final String STRUTS_CONVERTER_DATE

      See Also:
        Constant Field Values

    - #### STRUTS_CONVERTER_NUMBER

          public static final String STRUTS_CONVERTER_NUMBER

      See Also:
        Constant Field Values

    - #### STRUTS_CONVERTER_STRING

          public static final String STRUTS_CONVERTER_STRING

      See Also:
        Constant Field Values

    - #### STRUTS_HANDLE_EXCEPTION

          public static final String STRUTS_HANDLE_EXCEPTION

      Enable handling exceptions by Dispatcher - true by default
      See Also:
        Constant Field Values

    - #### STRUTS_CONVERTER_PROPERTIES_PROCESSOR

          public static final String STRUTS_CONVERTER_PROPERTIES_PROCESSOR

      See Also:
        Constant Field Values

    - #### STRUTS_CONVERTER_FILE_PROCESSOR

          public static final String STRUTS_CONVERTER_FILE_PROCESSOR

      See Also:
        Constant Field Values

    - #### STRUTS_CONVERTER_ANNOTATION_PROCESSOR

          public static final String STRUTS_CONVERTER_ANNOTATION_PROCESSOR

      See Also:
        Constant Field Values

    - #### STRUTS_CONVERTER_CREATOR

          public static final String STRUTS_CONVERTER_CREATOR

      See Also:
        Constant Field Values

    - #### STRUTS_CONVERTER_HOLDER

          public static final String STRUTS_CONVERTER_HOLDER

      See Also:
        Constant Field Values

    - #### STRUTS_EXPRESSION_PARSER

          public static final String STRUTS_EXPRESSION_PARSER

      See Also:
        Constant Field Values

    - #### STRUTS_ALLOWED_NAMESPACE_NAMES

          public static final String STRUTS_ALLOWED_NAMESPACE_NAMES

      Namespace names' whitelist
      See Also:
        Constant Field Values

    - #### STRUTS_DEFAULT_NAMESPACE_NAME

          public static final String STRUTS_DEFAULT_NAMESPACE_NAME

      Default namespace name to use when namespace didn't match the whitelist
      See Also:
        Constant Field Values

    - #### STRUTS_ALLOWED_ACTION_NAMES

          public static final String STRUTS_ALLOWED_ACTION_NAMES

      Action names' whitelist
      See Also:
        Constant Field Values

    - #### STRUTS_DEFAULT_ACTION_NAME

          public static final String STRUTS_DEFAULT_ACTION_NAME

      Default action name to use when action didn't match the whitelist
      See Also:
        Constant Field Values

    - #### STRUTS_ALLOWED_METHOD_NAMES

          public static final String STRUTS_ALLOWED_METHOD_NAMES

      Method names' whitelist
      See Also:
        Constant Field Values

    - #### STRUTS_DEFAULT_METHOD_NAME

          public static final String STRUTS_DEFAULT_METHOD_NAME

      Default method name to use when method didn't match the whitelist
      See Also:
        Constant Field Values

    - #### STRUTS_MAPPER_ACTION_PREFIX_ENABLED

          public static final String STRUTS_MAPPER_ACTION_PREFIX_ENABLED

      Enables action: prefix
      See Also:
        Constant Field Values

    - #### STRUTS_MAPPER_ACTION_PREFIX_CROSSNAMESPACES

          public static final String STRUTS_MAPPER_ACTION_PREFIX_CROSSNAMESPACES

      Enables access to actions in other namespaces than current with action: prefix
      See Also:
        Constant Field Values

    - #### DEFAULT_TEMPLATE_TYPE_CONFIG_KEY

          public static final String DEFAULT_TEMPLATE_TYPE_CONFIG_KEY

      See Also:
        Constant Field Values

    - #### STRUTS_DISPATCHER_ERROR_HANDLER

          public static final String STRUTS_DISPATCHER_ERROR_HANDLER

      Allows override default DispatcherErrorHandler
      See Also:
        Constant Field Values

    - #### STRUTS_EXCLUDED_CLASSES

          public static final String STRUTS_EXCLUDED_CLASSES

      Comma delimited set of excluded classes and package names which cannot be accessed via expressions
      See Also:
        Constant Field Values

    - #### STRUTS_EXCLUDED_PACKAGE_NAME_PATTERNS

          public static final String STRUTS_EXCLUDED_PACKAGE_NAME_PATTERNS

      See Also:
        Constant Field Values

    - #### STRUTS_EXCLUDED_PACKAGE_NAMES

          public static final String STRUTS_EXCLUDED_PACKAGE_NAMES

      See Also:
        Constant Field Values

    - #### STRUTS_EXCLUDED_PATTERNS_CHECKER

          public static final String STRUTS_EXCLUDED_PATTERNS_CHECKER

      Dedicated services to check if passed string is excluded/accepted
      See Also:
        Constant Field Values

    - #### STRUTS_ACCEPTED_PATTERNS_CHECKER

          public static final String STRUTS_ACCEPTED_PATTERNS_CHECKER

      See Also:
        Constant Field Values

    - #### STRUTS_NOT_EXCLUDED_ACCEPTED_PATTERNS_CHECKER

          public static final String STRUTS_NOT_EXCLUDED_ACCEPTED_PATTERNS_CHECKER

      See Also:
        Constant Field Values

    - #### STRUTS_OVERRIDE_EXCLUDED_PATTERNS

          public static final String STRUTS_OVERRIDE_EXCLUDED_PATTERNS

      Constant is used to override framework's default excluded patterns
      See Also:
        Constant Field Values

    - #### STRUTS_OVERRIDE_ACCEPTED_PATTERNS

          public static final String STRUTS_OVERRIDE_ACCEPTED_PATTERNS

      See Also:
        Constant Field Values

    - #### STRUTS_ADDITIONAL_EXCLUDED_PATTERNS

          public static final String STRUTS_ADDITIONAL_EXCLUDED_PATTERNS

      See Also:
        Constant Field Values

    - #### STRUTS_ADDITIONAL_ACCEPTED_PATTERNS

          public static final String STRUTS_ADDITIONAL_ACCEPTED_PATTERNS

      See Also:
        Constant Field Values

    - #### STRUTS_CONTENT_TYPE_MATCHER

          public static final String STRUTS_CONTENT_TYPE_MATCHER

      See Also:
        Constant Field Values

    - #### STRUTS_SMI_METHOD_REGEX

          public static final String STRUTS_SMI_METHOD_REGEX

      See Also:
        Constant Field Values

    - #### STRUTS_TEXT_PROVIDER

          public static final String STRUTS_TEXT_PROVIDER

      See Also:
        Constant Field Values

    - #### STRUTS_TEXT_PROVIDER_FACTORY

          public static final String STRUTS_TEXT_PROVIDER_FACTORY

      See Also:
        Constant Field Values

    - #### STRUTS_LOCALIZED_TEXT_PROVIDER

          public static final String STRUTS_LOCALIZED_TEXT_PROVIDER

      See Also:
        Constant Field Values

    - #### STRUTS_DISALLOW_PROXY_MEMBER_ACCESS

          public static final String STRUTS_DISALLOW_PROXY_MEMBER_ACCESS

      See Also:
        Constant Field Values

    - #### STRUTS_OGNL_AUTO_GROWTH_COLLECTION_LIMIT

          public static final String STRUTS_OGNL_AUTO_GROWTH_COLLECTION_LIMIT

      See Also:
        Constant Field Values

    - #### STRUTS_MATCHER_APPEND_NAMED_PARAMETERS

          public static final String STRUTS_MATCHER_APPEND_NAMED_PARAMETERS

      See {@link com.opensymphony.xwork2.config.impl.AbstractMatcher#appendNamedParameters
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StrutsConstants

          public StrutsConstants()

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.